-- by MxY.rlp thanks to JohnDeere6930



extraWheel = {};

function extraWheel.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function extraWheel:load(xmlFile)
   self.TwinWheels = {}
	self.TwinWheels.Wheel1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.TwinWheels#Wheel1"));
	self.TwinWheels.Wheel2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.TwinWheels#Wheel2"));
		
end;

function extraWheel:delete()

end;

function extraWheel:mouseEvent(posX, posY, isDown, isUp, button)

end;

function extraWheel:keyEvent(unicode, sym, modifier, isDown)

end;

function extraWheel:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TWINWHEELS) then
			self.TwinWheelsActive = not self.TwinWheelsActive;
			local tw = self.TwinWheels;
			setVisibility(tw.Wheel1, self.TwinWheelsActive);
			setVisibility(tw.Wheel2, self.TwinWheelsActive);
		end;
	end;
end;

function extraWheel:draw()

end;